Summary:	taipei chinese big5 fonts 
Name:		taipeifonts
Version:	1.2
Release:	20mdk
License:	Public Domain
Group:		System/Fonts/X11 bitmap
Source0:	%{name}-%{version}.tar.bz2
Source1:	taipeifonts.alias
Prereq:		/bin/grep, XFree86, /bin/cat 
Requires:	/bin/grep, XFree86, /bin/cat
#Packager:	platin@ch.ntu.edu.tw
Buildroot:	%{_tmppath}/taipei-root
BuildArch:	noarch        
Provides:	zh-pcf-fonts, taipei16, taipeik20, taipeik24, taipeim20, taipeim24
## Conflicts:	twmoe_ming-xfonts 

%description
These are the Traditional Chinese fonts for XFree86 found on GNU's ftp mirror.

You will need to install these if you wish to see and use the Traditional
Chinese fonts under XFree86.

%prep
%setup -q

%build
bdftopcf taipei24.bdf | gzip -c > taipei24.pcf.gz
bdftopcf taipei20.bdf | gzip -c > taipei20.pcf.gz
bdftopcf taipei16.bdf | gzip -c > taipei16.pcf.gz

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/fonts/misc

install -m 644 taipei24.pcf.gz $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/
install -m 644 taipei20.pcf.gz $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/
install -m 644 taipei16.pcf.gz $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/
install -m 644 vga12x24.pcf.gz $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ "$1" = "0" ];then
    if [ -f %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias ] ; then
        cat %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias | \
			grep -v "\!ByRPM" > %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias.tmp
        mv -f %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias.tmp \
			%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias
        %{_prefix}/X11R6/bin/mkfontdir %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/
		[ -z "$DISPLAY" ] || xset fp rehash
    fi
fi

%triggerin -- taipeifonts, XFree86
if [ -f %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias ] ; then
    cat %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias | \
		grep -v "\!ByRPM" > %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias.tmp
    mv -f %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias.tmp \
		%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias
    cat %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/taipeifonts.alias \
		>> %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/fonts.alias 
    %{_prefix}/X11R6/bin/mkfontdir %{_prefix}/X11R6/%{_lib}/X11/fonts/misc/
	[ -z "$DISPLAY" ] || xset fp rehash
fi

%files 
%defattr(0644,root,root,0755)
%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/taipei16.pcf.gz
%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/taipei20.pcf.gz
%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/taipei24.pcf.gz            
%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/vga12x24.pcf.gz
%{_prefix}/X11R6/%{_lib}/X11/fonts/misc/taipeifonts.alias

%changelog
* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2-20mdk
- macroize
- s/Copyright/License/
- cosmetics
- quiet setup
- fix use-of-RPM_SOURCE_DIR

* Sat Apr 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-19mdk
- Work around a problem with not installing / updating in X (Abel Cheung).

* Sun Mar 25 2001 Andrew Lee <andrew@linux.org.tw> 1.2-18mdk
- change -default-fixed to -default-ming (avoid possible confuse)
- add -default-ming alias for gb2312
- use %triggerin
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Better description, more professional. :)

* Tue Mar 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-17mdk
- Do nothing but rebuild.

* Mon Aug 14 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2-16mdk
- adapted Group: to mdk conventions
- rewrote the scripts to avoid possible vulnerabilities

* Tue Feb  1 2000 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- use %post instead of %triggerin XFree86
- prereq/requires fixed
- taipeifonts.alias fixed,, use default-ming

* Thu Mar 18 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- fonts.alias bug fix
- scripts fixed

* Mon Dec 14 1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- uninstall script bug fix

* Thu Nov  5 1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- rebuild on redhat-5.2

* Fri Oct  2 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- alias to fit the new ttfed X-Server

* Wed Sep  2 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Group --> Extensions/Chinese

* Mon Jul 20 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- move the font dir to misc
- remove 8x16.pcf.gz

* Thu Jun 18 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Change the group tag to Extensions/chinese 

* Thu Jun 11 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>

- Revised the font file. Now those file was created from the bdf fonts 
  included in GNU's `intlfonts' package.
- Conflict: tag added

* Tue Apr 14 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
- Revised the fonts.alias file to fit the useage of lyx-I18N
- ⷢrFAbut F CXwin ϥΡA alias X taipeik20Btaipeik24C

* Fri Jan  9 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw> 
- add fonts 8x16.pcf.gz && vga12x24.pcf.gz

* Thu Jan  1 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
- o taipei rάOqڪrΥؿ̭XӪAڤ]D
- L̪XBEEEƱSvD~nC
- will automatically change the FontPath lines in XF86Config
- - must have perl


